############################################################################
#                                                                          #
# The contents of this file are subject to the WebStone Public License     #
# Version 1.0 (the "License"); you may not use this file except in         #
# compliance with the License. You may obtain a copy of the License        #
# at http://www.mindcraft.com/webstone/license10.html                      #
#                                                                          #
# Software distributed under the License is distributed on an "AS IS"      #
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See      #
# the License for the specific language governing rights and limitations   #
# under the License.                                                       #
#                                                                          #
# The Original Code is WebStone 2.5.                                       #
#                                                                          #
# The Initial Developer of the Original Code is Silicon Graphics, Inc.     #
# and Mindcraft, Inc.. Portions created by Silicon Graphics. and           #
# Mindcraft. are Copyright (C) 1995#1998 Silicon Graphics, Inc. and        #
# Mindcraft, Inc. All Rights Reserved.                                     #
#                                                                          #
# Contributor(s): ______________________________________.                  #
#                                                                          #
############################################################################

# @(#)Makefile	1.6

COMPILE		= $(CC) $(CPPFLAGS) $(CFLAGS) $(INCLUDES) $(DEFS) $(LDFLAGS)

CP		= cp
RM		= rm -f

.SUFFIXES:
.SUFFIXES: .c .o

all: ws20_cgi ws25_cgi

ws20_cgi: ws20_cgi.o
	$(COMPILE) ws20_cgi.o -o ws20_cgi

ws25_cgi: ws25_cgi.o
	$(COMPILE) ws25_cgi.o -o ws25_cgi

.c.o:
	@echo "COMPILING FILE " $<
	$(COMPILE) -c $< -o $@

install: all
	@echo "INSTALLING FILES"
	cp ws20_cgi ws25_cgi ../../lgm

clean:
	$(RM) ws20_cgi.o ws25_cgi.o

clobber: clean
	$(RM) ws20_cgi ws25_cgi
